# TYCamport3: TY_CAMERA_EXTRINSIC Struct Reference

TY_CAMERA_EXTRINSIC Struct Reference

`#include <TYApi.h>`

## Public Attributes

float | data [4 *4]

## Detailed Description

a 4x4 matrix

. | . | . | .
--- | --- | --- | ---
r11 | r12 | r13 | t1
r21 | r22 | r23 | t2
r31 | r32 | r33 | t3
0 | 0 | 0 | 1

See also
  TYGetStruct Usage:
  TY_CAMERA_EXTRINSIC extrinsic;
  TYGetStruct(hDevice, some_compoent, TY_STRUCT_EXTRINSIC, &extrinsic, sizeof(extrinsic));

Definition at line 771 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h